# TreeViewEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents the method that will handle the [AfterCheck](/api/wisej.web/lists-and-grids/treeview.md#aftercheck), [AfterCollapse](/api/wisej.web/lists-and-grids/treeview.md#aftercollapse), [AfterExpand](/api/wisej.web/lists-and-grids/treeview.md#afterexpand), or [AfterSelect](/api/wisej.web/lists-and-grids/treeview.md#afterselect) event of a [TreeView](/api/wisej.web/lists-and-grids/treeview.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void TreeViewEventHandler(Object sender, TreeViewEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub TreeViewEventHandler(ByVal sender As [Object], ByVal e As TreeViewEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                        | Description                                                                                                                 |
| ---------- | ------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                               | The source of the event.                                                                                                    |
| **e**      | [TreeViewEventArgs](/api/wisej.web/lists-and-grids/treeview/wisej.web.treevieweventargs.md) | A [TreeViewEventArgs](/api/wisej.web/lists-and-grids/treeview/wisej.web.treevieweventargs.md) that contains the event data. |

## Fired By

| Name                                                                                                  | Description                                      |
| ----------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| [TreeNode.AfterCheck](/api/wisej.web/lists-and-grids/treeview/wisej.web.treenode.md#aftercheck)       | Occurs after the tree node check box is checked. |
| [TreeNode.AfterCollapse](/api/wisej.web/lists-and-grids/treeview/wisej.web.treenode.md#aftercollapse) | Occurs after the tree node is collapsed.         |
| [TreeNode.AfterExpand](/api/wisej.web/lists-and-grids/treeview/wisej.web.treenode.md#afterexpand)     | Occurs after the tree node is expanded.          |
| [TreeNode.AfterSelect](/api/wisej.web/lists-and-grids/treeview/wisej.web.treenode.md#afterselect)     | Occurs after the tree node is selected.          |
| [TreeView.AfterCheck](/api/wisej.web/lists-and-grids/treeview.md#aftercheck)                          | Occurs after the tree node check box is checked. |
| [TreeView.AfterCollapse](/api/wisej.web/lists-and-grids/treeview.md#aftercollapse)                    | Occurs after the tree node is collapsed.         |
| [TreeView.AfterExpand](/api/wisej.web/lists-and-grids/treeview.md#afterexpand)                        | Occurs after the tree node is expanded.          |
| [TreeView.AfterSelect](/api/wisej.web/lists-and-grids/treeview.md#afterselect)                        | Occurs after the tree node is selected.          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/treeview/wisej.web.treevieweventhandler.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
